@import "../../../_mixins.scss";

.change-request {
  .header-change-request {
    display: flex;
    justify-content: space-between;
    padding: 0 0 5px 0;
    .left {
      display: flex;
      .icons {
        display: flex;
        img.status-svg-images {
          width: 15px;
          margin: 0 0px 0 2px;
        }
        img.status-svg-images-black {
          width: 15px;
          filter: invert(1);
          margin: 0 0px 0 2px;
        }
      }
      .name {
        font-size: var(--font-xl);
        font-weight: 600;
        line-height: 2.5;
        text-align: left;
        color: #00455f;
      }
    }
    .right {
      display: flex;
      justify-content: flex-end;
      .square-btn.btn {
        height: var(--input-height);
        min-width: 80px;
        margin: auto;
      }
      span.project-id {
        font-size: var(--font-l);
        color: #999;
        line-height: 2.5;
        font-weight: 500;
        padding: 0 10px 0 0;
        span {
          font-weight: 600;
        }
      }
    }
  }
  .header-actions {
    background: #fff;
    padding: 8px 5px 2px 5px;
    display: flex;
    justify-content: space-between;
    justify-content: space-between;
    border-bottom: 2px solid var(--app-bg);
    height: var(--input-height-l);
    line-height: 2.5;
    .left {
      font-size: var(--font-xl);
      font-weight: 600;
      line-height: 1.5;
      text-align: left;
      color: #00455f;
    }
    .right {
      display: flex;
      .search.field-section.search-change {
        margin: -11px 0 0 0;
        padding: 5px 10px;
        div.row.field__label {
          display: none;
        }
      }
      .action-btn {
        margin: 0 5px 0 0;
        min-width: 75px;
        font-weight: 600;
        img.img-icon {
          margin: 0 5px 0 5px;
          width: 15px;
        }
      }
      .search-add-separator {
        font-size: 19px;
        margin-top: -15px;
      }
      .header-action-btn {
        min-width: unset !important;
        width: 80px;
        margin: -6px 5px 0 10px;
        padding: inherit;
      }
      .top-bar-active-filter {
        // max-width: 777px;
        // width: 500px;
        height: 31px;
        background-color: white;
        margin-top: -2px;
        border-radius: 5px;
        margin-right: 16px;
        display: flex;
        flex-direction: row-reverse;
        align-items: center;
        padding-right: 15px;

        .clear-action {
          height: 15px;
          width: 70px;
          font-family: Montserrat;
          font-size: var(--font-xs);
          font-weight: 500;
          font-stretch: normal;
          font-style: normal;
          line-height: 1.25;
          letter-spacing: normal;
          text-align: left;
          color: #db7c20;
          padding-left: 15px;

          &:hover {
            cursor: pointer;
          }
        }

        .applied-filter {
          display: flex;
          justify-content: center;
          align-items: center;
          padding-left: 10px;
        }

        .filters {
          font-family: Montserrat;
          font-size: var(--font-m);
          font-weight: 500;
          font-stretch: normal;
          font-style: normal;
          line-height: 1.29;
          letter-spacing: normal;
          text-align: left;
          color: #003041;
          padding-left: 8px;
          padding-right: 8px;
        }

        .top-filter-delete {
          width: 12px;
          height: 12px;
          // padding-left: 4px;
          opacity: 1;
          transform: none;
          cursor: pointer;
        }
      }
      .action-btn + .filter {
        position: relative;
        cursor: pointer;
      }
      .action-btn-group {
        filter: grayscale(1);
        margin: 0 5px 0 0;
        min-width: 95px;
        font-weight: 600;
        img.img-icon {
          margin: 0 5px 0 5px;
          width: 15px;
        }
      }
    }
  }
  .change-request-list {
    background: white;
    display: flex;
    flex-direction: column;
    padding: 10px;
    .loader {
      left: 55%;
    }
    .header {
      // padding: 10px;
      display: grid;
      grid-template-rows: auto;
      grid-template-columns: 3fr 2fr 2fr 1.5fr 1.5fr 1fr 1fr 1.5fr 2fr 2fr;
      margin-bottom: 5px;
      font-weight: 550;
      height: 20px;
      font-size: var(--font-s);
      .left-align {
        text-align: left;
      }
      .center-align {
        text-align: center;
        justify-content: center;
      }
      .filter-heading {
        font-family: Montserrat;
        font-size: var(--font-xs);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #79868b;
      }
    }
    .change-request-row {
      font-weight: 500;
      height: var(--input-height-l);
      border: 1px solid #ccc;
      border-top: 0;
      display: grid;
      grid-template-rows: auto;
      grid-template-columns: 3fr 2fr 2fr 1.5fr 1.5fr 1fr 1fr 1.5fr 2fr 2fr;
      &:first-child {
        border-top: 1px solid #ccc;
      }
      .first-column {
        padding-left: 20px;
      }
      .left-align {
        text-align: left;
        width: 100%;
        overflow: hidden;
        white-space: pre;
        line-height: 3;
        min-width: 70px;
        padding-right: 10px;
        margin: 0 auto auto auto;
      }
      .center-align {
        text-align: center;
        width: 90%;
        overflow: hidden;
        white-space: pre;
        line-height: 3;
        min-width: 70px;
        margin: 0 auto auto auto;
      }
      .process-cr {
        min-width: unset !important;
        font-weight: 600;
        float: left;
        margin: 5px 0 0 0;
        font-size: 11px;
        width: 81px;
        padding: 5px;
      }
      .right-align {
        margin: auto;
        text-align: right;
        overflow: hidden;
        white-space: pre;
      }
      .Select-input {
        margin-left: -24px;
      }
    }
    img.d-pointer.edit-png {
      cursor: pointer;
      filter: invert(1);
      opacity: 0.6;
    }
    .first-column {
      text-overflow: ellipsis;
      padding-left: 10px;
      min-width: 100px !important;
      cursor: pointer;
      margin: 0;
    }
    .process-cr-heading {
      padding-left: 10px;
    }
    .list-selection {
      padding: 0;
      margin: 2px auto;
      .field__label.row {
        display: none;
      }
      .Select .Select-control {
        border: 0 !important;
        .Select-arrow {
          background: unset;
        }
        .Select-value {
          padding-left: 0;
        }
      }
      .Select {
        width: 150px;
        .Select-menu-outer .Select-menu .Select-option.is-focused {
          background-color: #787a7b4d;
          color: #fff;
          .label-user-dropdown {
            padding-left: 0;
            &:hover {
              padding-left: 0;
            }
          }
        }
      }
    }
    .label-user-dropdown {
      display: flex;
      margin: 2px -1px 0 1px;
      text-align: center;
      padding-left: 10px;
      line-height: 2;
      .full-name {
        color: black;
        width: 100%;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        text-align: left;
        line-height: 2.5;
      }
      &:hover {
        font-weight: 600;
        color: var(--black-font);
      }
    }

    .label-user-dropdown.Approved {
      color: green;
      font-weight: 700;
    }
    .label-user-dropdown.Progress {
      color: orange;
      font-weight: 700;
    }
    .label-user-dropdown.Cancelled\/Rejected {
      color: black;
      font-weight: 700;
    }
  }
  .cr-listing-header {
    background: #fff;
    .actions {
      display: flex;
      justify-content: space-between;
      align-items: center;
      width: 100%;
      height: 50px;
      .left-section {
        display: flex;
        flex-grow: 1;
        align-items: center;
        .total-count {
          margin: 0;
          font-size: var(--font-m);
          font-weight: 600;
          span {
            color: var(--grey-label);
          }
        }
      }

      .search.search-change {
        padding-left: 10px;
        .field__label.row,
        .field__error {
          display: none;
        }
      }
      .cr-filter-btn {
        margin-left: auto;
        margin-right: 10px;
        height: var(--input-height);
        span img {
          margin-right: 5px;
          width: 16px;
          height: 19px;
          padding-bottom: 3px;
        }
      }
    }
    .custom-filters-listing {
      .cr-applied-filters-row {
        margin-bottom: 2px;

        .cr-filter-content {
          padding-top: 2px;
          position: relative;
          padding-right: 10px;

          .cr-filter-clear-icon {
            font-size: 24px;
            display: inline-block;
            position: absolute;
            right: -7px;
            font-weight: bold;
            top: -6px;
            cursor: pointer;
          }
        }
      }
    }
  }
  .change-request-list-all {
    .header {
      grid-template-columns: 3fr 2fr 2fr 2fr 2fr 1.5fr 1.5fr 1.2fr 2.5fr 1fr;
      .order-field {
        cursor: pointer;
      }
    }
    .change-request-row {
      grid-template-columns: 3fr 2fr 2fr 2fr 2fr 1.5fr 1.5fr 1.2fr 2.5fr 1fr;
    }
    #scrollableDiv {
      height: 72vh;
      overflow: auto;
      min-height: 200px;
      @include small_scroll();
    }
  }
}

.upload-img-button {
  width: 30px;
  margin-left: 20px;
  height: 30px;
  margin: 47px 21px 0 286px;
  position: absolute;
  min-width: unset !important;
  border: none !important;
  z-index: 999;
  padding: 4px !important;

  .icon-upload {
    width: 16px;
    height: 16px;
    border: unset;
    filter: brightness(0.5);
  }
  &:hover,
  &:active,
  &:focus {
    border: 1px solid #95a5a6 !important;
  }
}

.project-details {
  .header {
    display: flex;
    justify-content: space-between;
    padding: 0;

    .left {
      display: flex;
      .icons {
        display: flex;
        img.status-svg-images {
          width: 15px;
          margin: 0 0px 0 2px;
        }
        img.status-svg-images-black {
          width: 15px;
          filter: invert(1);
          margin: 0 0px 0 2px;
        }
      }
      .name {
        font-size: var(--font-xl);
        font-weight: 600;
        line-height: 2;
        text-align: left;
        color: #00455f;
      }
    }
    .right {
      display: flex;
      justify-content: flex-end;
      .square-btn.btn {
        height: var(--input-height);
        min-width: 80px;
        margin: auto;
      }
      span.project-id {
        font-size: var(--font-l);
        color: #999;
        line-height: 2.5;
        font-weight: 500;
        padding: 0 10px 0 0;
        span {
          font-weight: 600;
        }
      }
      .bom-details {
        margin-right: 5px !important;
      }
    }
  }
  .first-row {
    display: flex;
    margin: 0 -5px 0 -7px;
    .ticket-selection {
      border-bottom: 1px solid #dce6ea;
    }
  }
  .action-second {
    padding: 9.5px 5px 28px 0px !important;
  }
  .status-actions-row {
    margin: 8.5px 6px 0px 7px;
    padding: 9.5px 10px 28px 15px;
    background-color: #ffffff;
    width: 80%;
    display: flex;
    .action {
      flex-grow: 1;
      flex-shrink: 1;
      flex-basis: 1;
      text-align: center;
      .status-name {
        font-size: var(--font-xs);
        font-weight: 600;
        line-height: 1.8;
        letter-spacing: normal;
        color: #003041;
      }
      .status-box {
        height: 68px;
        margin: 10px 9px 0 0;
        background-color: #c3cbce;
        font-size: var(--font-m);
        font-weight: 600;
        padding: 5px 0 0 0;
        .name {
          height: 20px;
        }
        &:hover {
          cursor: pointer;
        }
        /* .date {
          vertical-align: middle;
        }
        .name {
          vertical-align: middle;
        }*/
      }
    }
    .not-started {
      .status-box {
        background-color: #c3cbcd !important;
        color: #4e585c !important;
      }
    }
  }
  .status-overall {
    width: 20%;
    height: auto;
    margin: 8.5px 6px 0px 2px;
    padding-bottom: 18px;
    padding: 0px 10px -3px 18px;
    background-color: #ffffff;
    .status-text {
      font-size: var(--font-xs);
      font-weight: 500;
      line-height: 1.25;
      color: #4e585c;
    }
    .field__label {
      padding: 5px 0 0 0 !important;
    }
  }
  .status-overall-accordians {
    width: 20%;
    margin: 8.5px 6px 0px 2px;
    padding: 0 0;
    background-color: #ffffff;
    .status-text {
      font-size: var(--font-xs);
      font-weight: 500;
      line-height: 1.25;
      color: #4e585c;
    }
    .details-box {
      display: flex;
      flex-direction: column;
      padding: 10px;

      .opp-container {
        flex-direction: column;
      }

      .meeting-detail-contact {
        margin-top: 1px;

        .box {
          // width: 500px;
          .right {
            .contact-cancel {
              margin: 0px !important;
            }
          }
        }
      }

      .label-details {
        text-align: left;
        color: #4e585c;
        font-size: var(--font-xs);
      }
      .label-details-error-msg {
        text-align: left;
        color: red;
        font-size: 12px;
      }
      .contact-cancel {
        min-width: 0px;
        width: 80px;
        // margin-left: 125px;
      }
      .contact-save {
        min-width: 0px;
        width: 80px;
        margin-left: 12px;
      }
      .contact-container {
        &:hover {
          .contact-role-edit-icon {
            transform: none;
            cursor: pointer;
            filter: invert(1);
            width: 13px;
            height: 13px;
            margin: 0 0 0 5px;
          }
        }
      }
      .label-content {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        padding-top: 6px;
        font-size: var(--font-m);
        font-weight: 600;
        font-style: normal;
        line-height: 1.29;
        text-align: left;
        color: #00455f;

        .contact-actions {
          display: flex;
          margin: 5px 0 0 0;
        }

        .contact-edit-icon {
          transform: none;
          cursor: pointer;
          filter: invert(1);
          width: 13px;
          height: 13px;
          margin: 4px 10px 0 0;
        }
      }
      .project-type {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;

        .project-save-icon {
          transform: none;
          cursor: pointer;
          width: 18px;
          height: 18px;
          margin: -5px 12px 0 0;
        }

        .project-edit-icon {
          transform: none;
          cursor: pointer;
          filter: invert(1);
          width: 13px;
          height: 13px;
          margin: 4px 10px 0 0;
        }

        .project-delete-icon {
          transform: none;
          cursor: pointer;
          width: 13px;
          height: 13px;
          margin: -5px 10px 0 0;
        }
      }
      .label-sub-content {
        padding-left: 30px;
        display: flex;
        margin: 0;
      }
      .label-sub-content-attended-text {
        display: flex;
        justify-content: flex-end;
        padding-bottom: 10px;
      }
      .action-item {
        height: 15px;
        margin-top: 15px;
        margin-bottom: 10px;
        font-family: Montserrat;
        font-size: var(--font-xs);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #db7c20;

        &:hover {
          cursor: pointer;
        }
      }
      .field-section {
        padding: 0px;
      }
      .col-md-6,
      .col-xs-6 {
        padding: 0px;
      }
      .upload-box {
        margin: 19.3px 11px 5px 4.1px;
        padding: 10px;
        border: solid 1px #d3dde0;
        background-color: #ffffff;
      }
      .upload-filename {
        width: 164px;
        height: 15px;
        font-family: Montserrat;
        font-size: var(--font-xs);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #00455f;
      }
      .file-upload-actions {
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
        margin-top: 5px;
      }
      .file-upload-cancel {
        margin-left: 10px;
      }
      .file-action-icons {
        width: 10px;
        height: 10px;
        opacity: 1;
        transform: none;
        cursor: pointer;
      }
      .doucments-list {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        position: relative;

        .document {
          display: flex;
          align-items: center;
          width: 100%;
          flex-direction: row;
          justify-content: space-between;
          align-items: center;
          padding-bottom: 15px;

          &:hover {
            cursor: pointer;
          }

          .doc-right {
            display: flex;
            align-items: center;

            .document-label-content {
              display: flex;
              flex-direction: row;
              justify-content: space-between;
              padding-top: 6px;
              font-size: var(--font-m);
              font-weight: 600;
              font-style: normal;
              line-height: 1.29;
              text-align: left;
              color: #00455f;
              word-break: break-all;
              white-space: pre-wrap;
            }
          }

          .file-icons {
            opacity: 1;
            width: 35px;
            height: var(--input-height);
            transform: none;
            margin-left: 5px;
            margin-right: 5px;
          }
          .download-icons {
            opacity: 1;
            width: 20px;
            height: 20px;
            transform: none;
            margin-left: 5px;
            margin-right: 5px;
          }
          .document-delete {
            margin-left: 160px;
          }
        }
      }
    }
  }
  .color-preview {
    padding: 0;
    height: 58px;
    line-height: 2.5;
    font-weight: 600;
    display: flex;
    flex-direction: row;
    margin: 10px 0 0 0;
    .left-column {
      width: 5px;
      height: 58px;
    }
    .text {
      width: 100%;
      padding: 4px 10px;
      white-space: nowrap;
      overflow: hidden;
      display: flex;
      text-overflow: ellipsis;
      font-size: var(--font-m);
      place-content: flex-start;
      line-height: 3.5;
    }
  }
}

.meeting-details {
  .left {
    .meeting-name {
      font-size: var(--font-xl);
      font-weight: 600;
      line-height: 20px;
      text-align: left;
      color: #00455f;
    }

    .separator {
      border-left: 1px solid #ccc;
      margin: 0px 10px 0 10px;
    }

    .project-name {
      font-size: var(--font-m);
      font-weight: 500;
      line-height: 24px;
      text-align: left;
      color: #00455f;
      height: 30px;
      // border-left: 1px solid #ccc;
    }
  }

  .right {
    .square-btn.btn {
      margin: 0 0 0 10px !important;
      min-width: 85px;
    }
    .checkbox-holder {
      align-items: unset;
      label.checkbox__content {
        margin-top: 6px;
        margin-left: 6px;
      }
    }
  }
  .name-date {
    display: flex;
    flex-direction: column;
    .date-time {
      border-bottom: 1px solid #dce6ea;
    }
    .time-to-from {
      display: flex;
      .dash-separator {
        margin: 30px 0;
        font-size: 19px;
      }
      .to-time {
        margin: 15px 0 0 0;
      }
    }
  }
  .collapsible-section-meeting {
    display: flex;
    flex-direction: column;
    .field-section.meeeting-name-field {
      input[type="TEXT"] {
        font-size: var(--font-xxl);
      }
    }
  }
  .status-overall {
    width: 95%;
  }
}

.image-user-dropdown {
  .Select .Select-menu-outer .Select-menu .Select-option.is-focused {
    background-color: #f5f5f5 !important;
    color: #fff;
  }
}
.label-user-dropdown {
  display: flex;
  margin: 2px -1px 0 1px;
  text-align: center;
  .full-name {
    color: black;
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: left;
    line-height: 2.5;
  }
  &:hover {
    font-weight: 600;
    color: var(--black-font);
  }
  .pm-image-circle {
    width: 27px;
    height: 27px;
    display: inline-block;
    border-radius: 50%;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    border: 1px solid #ccc;
    margin: 0px 5px 0 0;
  }
}

.user-dropdown-list {
  display: flex;
  height: 37px;
  line-height: 3;
  text-align: center;
  min-width: 101px;
  .type {
    color: black;
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: left;
  }

  &:hover {
    font-weight: 600;
    color: var(--black-font);
  }
}
.change-request-new {
  // margin: 0px 0 0 20px;
  width: 100%;
  display: flex;
  flex-direction: column;
  .change-rquest-static {
    .field-section.disabled {
      margin-bottom: 17px;
    }
  }
  .template-fields {
    margin: 0;
    padding: 10px 0 0 0;
    display: flex;
    flex-direction: column;
    background: var(--app-bg);

    .field {
      background: white;
      margin: 10px 0px;
    }
    .section-heading {
      font-weight: 700;
      border-bottom: 1px solid #ccc;
      padding: 15px 20px;
      background-color: white;
      text-transform: uppercase;
      display: flex;
      justify-content: space-between;

      .action-collapse {
        font-size: 23px;
        width: 20px;
        margin: -7px;
        cursor: pointer;
      }
    }

    .single-field {
      padding: 0 20px 0 0px;
      //margin-bottom: 10px;

      .options-content {
        margin: 15px;
        display: flex;
        flex-direction: column;
        .field__input {
          padding-top: 5px;
          .radio-btn-group .radio-btn span {
            font-family: var(--font-first);
            color: var(--base-black);
            font-size: var(--font-s);
            font-weight: 500;
          }
        }
      }
      .options-content {
        width: 100%;
      }
    }
    .sub-section {
      display: flex;
    }
  }
  .field--collapsed {
    .body-section {
      display: none;
    }
  }

  .markdown {
    display: flex;
    flex-direction: column;
    background: white;
    border-top: 1px solid #eef2f5;
    .markdown-editor-input {
      width: 100%;
      padding: 0px 20px;
      label {
        padding: 10px 0;
      }
    }
    .select-sow-error {
      color: red;
      font-size: var(--font-s);
      margin-top: -20px;
      padding: 0px 25px;
    }
  }
  .markdown-error {
    .CodeMirror {
      border-color: red !important;
    }
    .editor-toolbar {
      border-color: red !important;
    }
  }

  .service-cost-body {
    background: white;
    margin: 0px 0px 10px 0px;

    .project-scope-detail {
      display: flex;
      flex-direction: column;
      .total-nos {
        .project-scope-row {
          display: flex;
          align-items: center;
          .select-type {
            display: flex;
            .field__label {
              width: 200px;
            }
          }
          .checkbox-holder {
            margin: -10px 0 0 15px;
            .checkbox__content {
              margin: 7px 0 0 7px;
            }
          }
        }
      }
    }

    .estimated-hours-rates-container {
      display: flex;
      flex-direction: column;
      .sub-heading {
        .text {
          display: flex;
          justify-content: space-between;
          align-items: flex-end;
          margin: 0 0 0 2px;
          .eht-actions-right {
            display: flex;
            img.icon-reset-static,
            img.reset-icon__loading {
              width: 20px;
              float: right;
              cursor: pointer;
            }
            button.square-btn.add-vendor {
              margin-left: 15px;
            }
          }
        }
      }
    }

    .estimated-hours-rates {
      display: flex;
      flex-direction: column;
      position: relative;
      .estimated-hours-header {
        display: flex;
        padding: 0 15px 0 30px;
        font-weight: 550;
        font-size: var(--font-m);
        margin-bottom: 10px;
        > div {
          padding: 0 10px 0 20px;
        }
        .override-header {
          padding: 0;
          text-align: center;
        }
        .hide-header {
          padding: 0;
          width: 60px;
          text-align: center;
        }
      }
      .mapping-row {
        display: flex;
        align-items: center;
        padding: 0 15px 0 30px;
        .field-section {
          padding: 5px 10px;
        }
        .field-section.disabled {
          margin-bottom: 17px;
        }
        .phase-name.disabled {
          margin-bottom: 17px;
        }
        .override-column {
          display: flex;
          justify-content: center;
          margin-top: -7px;
        }
        .hide-column {
          width: 60px;
          padding: 0;
        }
        .confirm-help-icon {
          padding: 0 10px;
        }
        .remove-vendor-tm {
          padding: 0;
        }
        .mapping-row-text {
          font-weight: 500;
          font-size: var(--font-s);
          padding: 0 10px 0 20px;
        }
      }
      button.square-btn.add-vendor {
        min-width: unset !important;
        position: absolute;
        width: 25px;
        font-size: 28px;
        padding: 0;
        height: 25px;
        line-height: 0;
        bottom: 59px;
        left: 8px;
        z-index: 1;
      }
    }

    .contractors {
      display: flex;
      flex-direction: column;
      .contractor-row {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 10px;
        .field-section {
          padding: 0px 5px;
        }
        .field-section.disabled {
          margin-bottom: 17px;
        }
        .disabled-calculations {
          margin-bottom: 17px;
        }
      }

      span.checkbox-holder.product-type {
        margin: 5px 10px 0;
        width: 90px;
      }
      .confirm-help-icon {
        margin-top: 10px;
      }
    }

    .mapping-row,
    .contractor-row {
      .edit-btn {
        margin: 0;
        border-radius: 50%;
        border: none;
        background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
        background-size: 12px;
        background-color: #f3f3f3;
        position: absolute;
        left: 7px;
        &:hover,
        &:focus,
        &:active:hover,
        &:active:focus,
        &:hover:focus,
        &:active {
          border: none;
          background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
          background-size: 15px;
          background-color: #dfdfdf;
        }
      }
      .field__warning {
        font-weight: 500;
        font-style: italic;
        margin-left: 10px;
        font-size: var(--font-xs);
        color: gray;
        padding-top: 2px;
      }
    }

    .contractor-row .edit-btn {
      position: initial;
      margin-top: 15px;
    }

    .travelscontractors {
      display: flex;
      flex-direction: column;
      .contractor-row {
        padding: 0 5px;
        display: flex;
        align-items: center;
        .field-section {
          padding: 0 20px;
        }
        .field-section.disabled {
          margin-bottom: 17px;
        }
        .confirm-help-icon {
          margin-top: 15px;
        }
      }
    }

    .risk-control-section {
      display: flex;
      flex-direction: column;
      .risk-variable-row {
        display: flex;
        align-items: center;
        gap: 25px;
        .risk-variable-input {
          padding: 0 0 0 25px;
          .field__label {
            padding-top: 0;
            .tooltip-tail::after {
              top: 8px;
            }
          }
        }
        .risk-variable-input.disabled {
          margin-bottom: 17px;
        }
      }
    }

    .calculations {
      .field-section {
        padding: 15px 5px;
      }
    }

    .sub-heading {
      //border-bottom: 1px solid #ccc;
      margin: 15px 0px 10px 0px;
      font-weight: 600;

      .text {
        border-bottom: 1px solid #ccc;
        padding: 5px;
        margin: 10px 0px;
        position: relative;
      }

      .zero-dollar {
        left: 0;
        position: absolute;
        z-index: 1;
        top: 30px;
      }

      .sow-profit-margin-row {
        display: flex;
        width: 100%;
        .get-gross-margin {
          height: var(--input-height);
          margin: 42px 0 0 10px;
          min-width: unset;
          width: fit-content;
        }
      }
    }

    .sub-heading-notes {
      font-weight: 600;

      .text {
        padding: 5px 0;
      }
    }

    .notes {
      margin: 30px 0;
      padding: 0px 5px;

      .field-section div.row.field__input textarea {
        height: 160px;
      }

      .ql-cr-notes {
        padding: 0;
        img.fullscreen-btn {
          margin-top: 10px;
        }
      }
    }

    .version-section {
      display: flex;
      flex-direction: column;
      padding: 0;

      textarea {
        height: 150px !important;
      }
    }
  }
  .add-new-row {
    font-size: var(--font-s);
    font-weight: 500;
    cursor: pointer;
    color: var(--primary);
    width: fit-content;
    display: flex;
    margin-left: 20px;
    align-items: center;
    span.add-new-row-plus {
      font-size: 25px;
      font-weight: 400;
      display: inline-block;
      margin-right: 3px;
    }
    &:hover {
      opacity: 0.7;
    }
  }
  .notes-cr {
    padding: 0px 25px;
    .ql-cr-notes {
      padding: 0;
    }
  }
  .preview-sow-doc {
    width: 85px !important;
    display: flex;
    margin: 0px 0px 10px 35px;
    min-width: unset !important;
  }
}

.create-change-request {
  .header {
    align-items: center;
    .left {
      .meeting-name {
        align-self: center;
      }
      .project-name {
        line-height: 30px;
      }
    }
  }
  .action-second {
    padding: 0 !important;
  }
  .board-error {
    color: var(--danger);
    padding: 10px 0 10px 20px;
    background: white;
    font-weight: 600;
    margin-top: 10px;
  }
  .select-markdown-error {
    color: var(--danger);
    padding: 0 0 10px 15px;
    font-size: var(--font-s);
    font-weight: 500;
  }
  button.square-btn.get-gross-margin.btn.btn-primary {
    margin: 32px 0px 0 20px;
  }
}
.blank-img {
  width: 16px;
  float: left;
}

.icon-list-tm {
  height: 20px;
  margin: -3px 5px 0 -15px;
}

.icon-list-fixed-fee {
  height: 20px;
  margin: 0 3px 0 -10px;
}

.calculation-details {
  padding: 0 20px 0 0;
  height: 400px;
  overflow: auto;

  .block-status {
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 5px;
    margin: 5px 15px;
    border: 1px solid #ccc;

    .name {
      font-weight: 600;
    }
  }

  .heading {
    padding: 2px 15px;
    font-weight: 600;
  }
}

.item-notes {
  .tooltip-inner {
    width: 350px !important;
    max-width: inherit;
  }
  .tooltip-arrow {
    transform: rotate(221deg);
    z-index: -1;
  }
}

.modal-body {
  .custom-file-input {
    padding: 0;
    margin: auto;
  }
}

.ellipsis-no-width {
  display: block;
  width: 93%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  text-align: left;
  padding: 0 0 0 2px;
}

.change-request-config-quill {
  padding: 10px 20px;
}

.vendor-form-body {
  position: relative;
  .vendor-modal-spinner {
    position: absolute;
    z-index: 1;
    left: -1%;
    top: 35%;
  }
  .col-md-12.row {
    padding: 0;
  }
}
